// Connection object
// Jacob M. Peck
// CSC 445 - Lea

import java.nio.*;
import java.nio.channels.*;
import java.util.*;
import java.net.*;
import java.io.*;

public class ConnectionData extends TFTPConstants {
  public static final int MAX_BUFFER_SIZE = BLOCK_SIZE + 7; // BLOCK_SIZE + header
  
  public ByteBuffer request;
  public ByteBuffer response;
  public SocketAddress address;
  
  public ConnectionData() {
    request = ByteBuffer.allocate(MAX_BUFFER_SIZE);
    response = ByteBuffer.allocate(MAX_BUFFER_SIZE);
  }
}
